> For the complete documentation index, see [llms.txt](https://docs.wisej.com/ai/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.wisej.com/ai/components/api/smartsession/wisej.ai.smartsession.trimmingstrategy.md).

# SmartSession.TrimmingStrategy

Namespace: **Wisej.AI**

Assembly: **Wisej.AI** (3.5.0.0)

Specifies the strategy for handling context overflow in a session.

{% tabs %}
{% tab title="C#" %}

```csharp
public enum TrimmingStrategy : Enum
```

{% endtab %}

{% tab title="VB.NET" %}

```visual-basic
Public Enum TrimmingStrategy As [Enum]
```

{% endtab %}
{% endtabs %}

## Fields

| Name              | Description                                                |
| ----------------- | ---------------------------------------------------------- |
| **RollingWindow** | Uses a rolling window strategy to handle context overflow. |
| **Summarization** | Uses summarization to handle context overflow.             |

## Used By

| Name                                                                                                                                              | Description                                              |
| ------------------------------------------------------------------------------------------------------------------------------------------------- | -------------------------------------------------------- |
| [DefaultSessionTrimmingService.TrimmingStrategy](/ai/components/api/services/wisej.ai.services.defaultsessiontrimmingservice.md#trimmingstrategy) | Gets or sets the strategy for handling context overflow. |
| [ISessionTrimmingService.TrimmingStrategy](/ai/components/api/services/isessiontrimmingservice.md#trimmingstrategy)                               | Gets or sets the strategy for handling context overflow. |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.wisej.com/ai/components/api/smartsession/wisej.ai.smartsession.trimmingstrategy.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
